PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package pad
  Definition Classes
    serverobject
-  package process
  Definition Classes
    pad
- VehicleSpawnControlBase
- VehicleSpawnControlConcealPlayer
- VehicleSpawnControlDriverControl
- VehicleSpawnControlFinalClearance
- VehicleSpawnControlLoadVehicle
- VehicleSpawnControlRailJack
- VehicleSpawnControlSeatDriver
- VehicleSpawnControlServerVehicleOverride

c

net.psforever.objects.serverobject.pad.process

# VehicleSpawnControlRailJack

###

#### class VehicleSpawnControlRailJack extends VehicleSpawnControlBase

An `Actor` that handles vehicle spawning orders for a `VehicleSpawnPad`. The basic `VehicleSpawnControl` is the root of a simple tree of "spawn control" objects that chain to each other. Each object performs on (or more than one related) actions upon the vehicle order that was submitted.
When the vehicle is added into the environment, it is attached to the spawn pad platform. On cue, the trapdoor of the platform will open, and the vehicle will be raised up into plain sight on a group of rails. These actions are actually integrated into previous stages and into later stages of the process. The primary objective to be completed is a specific place to start a frequent message to the other customers. It has failure cases should the driver be in an incorrect state.

Source
  VehicleSpawnControlRailJack.scala

Linear Supertypes
VehicleSpawnControlBase, Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleSpawnControlRailJack
2. VehicleSpawnControlBase
3. Actor
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new VehicleSpawnControlRailJack(pad: VehicleSpawnPad)

   pad

     the `VehicleSpawnPad` object being governed

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def LogId: String

   Implement this to add a suffix to the identifying name of the logger.

   Implement this to add a suffix to the identifying name of the logger.

   returns

     a special identifier that distinguishes a logger whose name is built of common features

   Definition Classes
     VehicleSpawnControlRailJack → VehicleSpawnControlBase
5.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
6.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
7.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
8.  def aroundPreStart(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  implicit val context: ActorContext
    Definition Classes
      Actor
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  def log: Logger

    Act as if a variable for the logging agent.

    Act as if a variable for the logging agent.

    returns

      a `Logger` object

    Definition Classes
      VehicleSpawnControlBase
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
24.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
25.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
26.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
27.  def receive: Receive
    Definition Classes
      VehicleSpawnControlRailJack → Actor
28.  val seatDriver: ActorRef
29.  implicit final val self: ActorRef
    Definition Classes
      Actor
30.  final def sender(): ActorRef
    Definition Classes
      Actor
31.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
32.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  def trace(msg: String): Unit

    A common manner of utilizing the logging agent such that all messages have the same logging level.

    A common manner of utilizing the logging agent such that all messages have the same logging level. The default should be `trace`-level comments. No important messages should processed by this agent; only consume general vehicle spawn status.

    msg

      the message

    Definition Classes
      VehicleSpawnControlBase
35.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from VehicleSpawnControlBase

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped